EMF::EMRSETTEXTCOLOR(3)

NAME
EMF::EMRSETTEXTCOLOR - EMF Set Text Color.

SYNOPSIS

#include <libemf.h>

Inherits EMF::METARECORD.

  Public Member Functions

EMRSETTEXTCOLOR (COLORREF color)
EMRSETTEXTCOLOR (DATASTREAM &ds)
bool serialize (DATASTREAM ds)
int size (void) const
void execute (METAFILEDEVICECONTEXT *source, HDC dc) const

Public Member Functions inherited from EMF::METARECORD
virtual ~METARECORD ()

Detailed Description

EMF Set Text Color.

Sets the foreground color of text.

Constructor & Destructor Documentation

  EMF::EMRSETTEXTCOLOR::EMRSETTEXTCOLOR (COLORREF color) [inline]

Parameters
    color text foreground color

References EMRSETTEXTCOLOR().

Referenced by EMRSETTEXTCOLOR().

  EMF::EMRSETTEXTCOLOR::EMRSETTEXTCOLOR (DATASTREAM & ds) [inline]
Construct a SetTextColor record from the input stream.

Parameters
    ds Metafile datastream.

Member Function Documentation

  void EMF::EMRSETTEXTCOLOR::execute (METAFILEDEVICECONTEXT * source, HDC dc) const [inline], [virtual]
Execute this record in the context of the given device context.

Parameters
    source the device context from which this record is taken.
    dc device context for execute.

Implements EMF::METARECORD.

  bool EMF::EMRSETTEXTCOLOR::serialize (DATASTREAM ds) [inline], [virtual]

Parameters
    ds Metafile datastream.

Implements EMF::METARECORD.

  int EMF::EMRSETTEXTCOLOR::size (void ) const [inline], [virtual]
Internally computed size of this record.

Implements EMF::METARECORD.

Author

Generated automatically by Doxygen for libemf from the source code.